Get an RFI
curl --request GET \
--url https://api.bridge.xyz/v0/rfis/{rfiID} \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/rfis/{rfiID}"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/rfis/{rfiID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/rfis/{rfiID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/rfis/{rfiID}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bridge.xyz/v0/rfis/{rfiID}")
.header("Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/rfis/{rfiID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "rfi_ah4nyoi9pcbrgl3mnu092l6b",
"state": "on_developer",
"customer_id": "cust_c6ednm25xanjrx1yzz5s4t8n",
"referent_id": "transfer_hmyt7lyjqr0h39s5g87lo0jn",
"referent_type": "transfer",
"bridge_action_taken": null,
"expected_action_on_expiry": "pause_customer",
"deadline": "2026-08-15T00:00:00.000Z",
"requested_items": [
{
"content": "What is the source of funds for this payment? Please provide supporting documentation (bank or investment statement, pay stub, invoice, receipt or contract).",
"reason": null,
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"status": "requested",
"referent_type": "transfer",
"referent_id": "d4e5f6a7-b8c9-0123-def0-234567890123",
"response_types": [
"free_text_explanation",
"document_list"
],
"group_id": null
},
{
"content": "Business ownership document",
"reason": "The previously submitted document was expired.",
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"status": "requested",
"referent_type": "customer",
"referent_id": "e5f6a7b8-c9d0-1234-ef01-345678901234",
"response_types": [
"document_list",
"free_text_explanation"
],
"group_id": "c3d4e5f6-a7b8-9012-cdef-123456789012"
}
],
"requested_item_groups": [
{
"id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"name": "Ownership/control",
"description": "Please return an acceptable ownership document which details all individuals that either directly or indirectly hold ≥25% of the applying entity."
}
],
"additional_context": null,
"dashboard_url": "https://dashboard.bridge.xyz/rfis/rfi_ah4nyoi9pcbrgl3mnu092l6b",
"state_changed_at": "2026-08-01T00:00:00.000Z",
"created_at": "2026-08-01T00:00:00.000Z",
"closed_at": null,
"category": "kyb"
}RFIs
Get an RFI
Retrieve a single request for information (RFI) by id
GET
/
rfis
/
{rfiID}
Get an RFI
curl --request GET \
--url https://api.bridge.xyz/v0/rfis/{rfiID} \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/rfis/{rfiID}"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/rfis/{rfiID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/rfis/{rfiID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/rfis/{rfiID}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bridge.xyz/v0/rfis/{rfiID}")
.header("Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/rfis/{rfiID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "rfi_ah4nyoi9pcbrgl3mnu092l6b",
"state": "on_developer",
"customer_id": "cust_c6ednm25xanjrx1yzz5s4t8n",
"referent_id": "transfer_hmyt7lyjqr0h39s5g87lo0jn",
"referent_type": "transfer",
"bridge_action_taken": null,
"expected_action_on_expiry": "pause_customer",
"deadline": "2026-08-15T00:00:00.000Z",
"requested_items": [
{
"content": "What is the source of funds for this payment? Please provide supporting documentation (bank or investment statement, pay stub, invoice, receipt or contract).",
"reason": null,
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"status": "requested",
"referent_type": "transfer",
"referent_id": "d4e5f6a7-b8c9-0123-def0-234567890123",
"response_types": [
"free_text_explanation",
"document_list"
],
"group_id": null
},
{
"content": "Business ownership document",
"reason": "The previously submitted document was expired.",
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"status": "requested",
"referent_type": "customer",
"referent_id": "e5f6a7b8-c9d0-1234-ef01-345678901234",
"response_types": [
"document_list",
"free_text_explanation"
],
"group_id": "c3d4e5f6-a7b8-9012-cdef-123456789012"
}
],
"requested_item_groups": [
{
"id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"name": "Ownership/control",
"description": "Please return an acceptable ownership document which details all individuals that either directly or indirectly hold ≥25% of the applying entity."
}
],
"additional_context": null,
"dashboard_url": "https://dashboard.bridge.xyz/rfis/rfi_ah4nyoi9pcbrgl3mnu092l6b",
"state_changed_at": "2026-08-01T00:00:00.000Z",
"created_at": "2026-08-01T00:00:00.000Z",
"closed_at": null,
"category": "kyb"
}Path Parameters
Response
Successful RFI response
Was this page helpful?